#include <iostream>

using namespace std;

int main()
{
    int n, q, l, r, x, i, w;
    bool d;
    cin>>n;
    int a[n];
    for (i = 0; i < n; i++)
        cin>>a[i];
    cin>>q;
    for (w = 0; w < q; w++)
    {
        cin>>l>>r;
        x = 0;
        d = true;
        if (r - l > 1)
        {
            for (i = l; i < r; i++)
            {
                if (a[i] < a[i - 1])
                {
                    x++;
                    if (x > 1)
                    {
                        d = false;
                        break;
                    }
                }
            }
        }
        if (d)
            cout<<"DA"<<endl;
        else
            cout<<"NE"<<endl;
    }
    return 0;
}